server {
    listen [::]:80;
    listen 80;

    server_name yensaolachong.vn www.yensaolachong.vn;

   location ~ /.well-known/acme-challenge {
         allow all; 
         root /var/www/certbot;
     }
    return 301 https://www.yensaolachong.vn$request_uri;
}
server {
  listen [::]:443 ssl http2;
  listen 443 ssl http2;

    server_name yensaolachong.vn www.yensaolachong.vn;

    # SSL code
    ssl_certificate /etc/nginx/ssl/live/yensaolachong.vn/fullchain.pem;
    ssl_certificate_key /etc/nginx/ssl/live/yensaolachong.vn/privkey.pem;
    index index.php index.html index.htm;
    root /var/www/html;

    location / {
        try_files $uri $uri/ /index.php$is_args$args;
    }
    location ~ \.php$ {
            try_files $uri =404;
            fastcgi_split_path_info ^(.+\.php)(/.+)$;
            fastcgi_pass wp_yenlachong:9000;
            fastcgi_index index.php;
            include fastcgi_params;
            fastcgi_param SCRIPT_FILENAME  $document_root$fastcgi_script_name;
            fastcgi_param PATH_INFO $fastcgi_path_info;
    }
    location ~ /\.ht {
            deny all;
    }
    location = /favicon.ico { 
            log_not_found off; access_log off; 
    }
    location = /favicon.svg { 
            log_not_found off; access_log off; 
    }
    location = /robots.txt { 
            log_not_found off; access_log off; allow all; 
    }
    location ~* \.(css|gif|ico|jpeg|jpg|js|png)$ {
            expires max;
            log_not_found off;
    }
}